Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class AOPInstance

    java.lang.Object
      org.jboss.cache.aop.AOPInstance

All Implemented Interfaces:
  Serializable

public class AOPInstance
extends Object
implements Serializable

Wrapper type for cached AOP instances. When an object is looked up or put in TreeCacheAOP, this object will be advised with a CacheInterceptor. The tree cache stores a reference to this object (for example to update the instance variables, etc.). Since this reference need to be transactional but never replicated (the reference is only valid within the VM) this reference is wrapped into an AOPInstance. In addition, this instance also serves as a metadata for TreeCacheAop. E.g., it has a reference count for multiple references and reference FQN.

Author:
  Harald Gliebe, Ben Wang
See Also:
  Serialized Form

Field Summary
`protected Object` | `instance_`
`static Object` | `KEY` Key under which the AOPInstance is stored in a Node's map.
`protected int` | `refCount_`
`protected String` | `refFqn_`

Constructor Summary
`AOPInstance()`
`AOPInstance(Object instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final Object KEY

  Key under which the AOPInstance is stored in a Node's map.

### instance_

    protected transient Object instance_

### refFqn_

    protected String refFqn_

### refCount_

    protected int refCount_

Constructor Detail

### AOPInstance

    public AOPInstance()

### AOPInstance

    public AOPInstance(Object instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.